;+
;
; .. _init.pro:
;
; ========
; init.pro
; ========
;
;
; IDL Version 6.2, Mac OS X (darwin ppc m32)
;
; Journal File for marina@ino.lodyc.jussieu.fr
;
; Working directory: /Users/marina/WORK/SOURCES/SAXO_DIR
;
; This is the initialisation file.
; it defines the !path and the defaut values of some of the common variables
;
; :see also:
;
; SAXO
;
; :ref:`init_pom.pro`
;
; :todo:
;
; header
;
; replace hard coded path using ${POMME}
;
; :history:
;
; - fplod 20101129T110610Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * add ReST minimal header
;
; - marina 20060314T135342Z ino.lodyc.jussieu.fr
;
;   * creation
;
;-
;
; path definition
;
!path = expand_path('+' + '/Users/marina/WORK/PROJETS/TERMINE/POMME/PIERREK/IDL') $
      + ':' + expand_path('+' + '/Users/marina/WORK/SOURCES/SAXO_DIR') $
      + ':' + expand_path('+' + !dir)
;
; compatibility with the old version
;
keep_compatibility, 0
;
; define all the commons
;
@all_cm
;
; define default directories
;
homedir = isadirectory('/Users/marina/WORK/PROJETS/TERMINE/POMME/PIERREK/IDL/', title = 'Select the default HOME directory')
iodir = isadirectory('/Users/marina/DATA/DATA_PIERREK', title = 'Select the default IO directory')
psdir = isadirectory('/Users/marina/WORK/PROJETS/TERMINE/POMME/PIERREK/FIG', title = 'Select the default postscripts directory')
imagedir = psdir
animdir = psdir
;
; define printer parameters
;
printer_human_names = strarr(2)
printer_machine_names = strarr(2)
print_command = strarr(2)
printer_human_names[0] = 'x4'
printer_machine_names[0] = 'x4'
print_command[0] = '\lpr -P x4'
printer_human_names[1] = 'hpl4'
printer_machine_names[1] = 'hpl4'
print_command[1] = '\lpr -P hpl4'
;
; colors ...
;
device, decomposed = 0
device, retain = 2
lct, 39
;
; postscript parameters ...
;
key_portrait = 1
page_size = [20.9903, 29.7039]
windowsize_scale = 0.8
archive_ps = 0
;
;========================================================
; end of the part that should be modified by the users...
;========================================================
;
; default definitions of many other common parameters...
jpiglo = 1L
jpjglo = 1L
jpkglo = 1L
jpidta = jpiglo
jpjdta = jpjglo
jpkdta = jpjglo
jpi = 1L
jpj = 1L
jpk = 1L
jpt = 1L
time = 0L
ixminmesh = -1L
ixmaxmesh = -1L
iyminmesh = -1L
iymaxmesh = -1L
izminmesh = -1L
izmaxmesh = -1L
ixmindta = 0L
ixmaxdta = jpidta-1
iymindta = 0L
iymaxdta = jpjdta-1
izmindta = 0L
izmaxdta = jpkdta-1
key_shift = 0L
key_periodic = 0L
key_yreverse = 0L
key_zreverse = 0L
key_stride = [1, 1, 1]
ccmeshparameters ={filename:'No File', filetype:'nothing' $
, jpiglo:jpiglo, jpjglo:jpjglo, jpkglo:jpkglo $
, jpi:jpi, jpj:jpj, jpk:jpk $
, ixminmesh:ixminmesh, ixmaxmesh:ixmaxmesh $
, iyminmesh:iyminmesh, iymaxmesh:iymaxmesh $
, izminmesh:izminmesh, izmaxmesh:izmaxmesh $
, key_shift:key_shift, key_periodic:key_periodic $
, triangulation:-1, boundary:[-180, 180]}
ccreadparameters = {funclec_name:'No File' $
, jpidta:jpidta, jpjdta:jpjdta, jpkdta:jpkdta $
, ixmindta:ixmindta, ixmaxdta:ixmaxdta $
, iymindta:iymindta, iymaxdta:iymaxdta $
, izmindta:izmindta, izmaxdta:izmaxdta}
lon1 = 0
lon2 = 1
lat1 = 0
lat2 = 1
vert1 = 0
vert2 = 1
valmask = 1.e20
vargrid = 'T'
varname = ''
varexp = ''
varunit = ''
vardate= '0'
@updateold
;
print,  'iodir =', iodir

;open saxo online help:
;ONLINE_HELP,book="/Users/marina/WORK/SOURCES/SAXO_DIR/SRC/Documentation/idldoc_assistant_output/idldoc-lib.adp"
